org.eclipse.ease.debugging

## Class ScriptDebugVariable

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugVariable

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStep, ISuspendResume, ITerminate, IValueModification, IVariable

    public class ScriptDebugVariable
    extends ScriptDebugElement
    implements IVariable

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugVariable(ScriptDebugStackFrame stackFrame, String name, Object value)`

### Method Summary

Methods
`String` `getName()`
`String` `getReferenceTypeName()`
`ScriptDebugValue` `getValue()`
`boolean` `hasValueChanged()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `setValue(IValue value)`
`void` `setValue(String expression)`
`boolean` `supportsValueModification()`
`boolean` `verifyValue(IValue value)`
`boolean` `verifyValue(String expression)`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, resume, stepInto, stepOver, stepReturn, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### ScriptDebugVariable

    public ScriptDebugVariable(ScriptDebugStackFrame stackFrame,
                       String name,
                       Object value)

### Method Detail

#### setValue

    public void setValue(String expression)
                  throws DebugException

Specified by:
  `setValue` in interface `IValueModification`
Throws:
  `DebugException`

#### setValue

    public void setValue(IValue value)
                  throws DebugException

Specified by:
  `setValue` in interface `IValueModification`
Throws:
  `DebugException`

#### supportsValueModification

    public boolean supportsValueModification()

Specified by:
  `supportsValueModification` in interface `IValueModification`

#### verifyValue

    public boolean verifyValue(String expression)
                        throws DebugException

Specified by:
  `verifyValue` in interface `IValueModification`
Throws:
  `DebugException`

#### verifyValue

    public boolean verifyValue(IValue value)
                        throws DebugException

Specified by:
  `verifyValue` in interface `IValueModification`
Throws:
  `DebugException`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`

#### getValue

    public ScriptDebugValue getValue()
                              throws DebugException

Specified by:
  `getValue` in interface `IVariable`
Throws:
  `DebugException`

#### getName

    public String getName()
                   throws DebugException

Specified by:
  `getName` in interface `IVariable`
Throws:
  `DebugException`

#### getReferenceTypeName

    public String getReferenceTypeName()
                                throws DebugException

Specified by:
  `getReferenceTypeName` in interface `IVariable`
Throws:
  `DebugException`

#### hasValueChanged

    public boolean hasValueChanged()
                            throws DebugException

Specified by:
  `hasValueChanged` in interface `IVariable`
Throws:
  `DebugException`